Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 162120 - klogd and kjournald spend 100% of cpu time.
Summary: klogd and kjournald spend 100% of cpu time.
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: rawhide
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-06-30 03:33 UTC by MASAO TAKAHASHI
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-07-01 07:33:11 UTC


Attachments (Terms of Use)

Description MASAO TAKAHASHI 2005-06-30 03:33:14 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; ja-JP; rv:1.7.8) Gecko/20050511 Firefox/1.0.4

Description of problem:
When I boot linux-2.6.12-1.1407_FC5 and  use xfce4,
the system is slow down.
Using "top" command, klogd and kjournald spend 100% of cpu time.


Version-Release number of selected component (if applicable):
linux-2.4.12-1.1407_FC5

How reproducible:
Always

Steps to Reproduce:
1.boot
2.
3.
  

Actual Results:  So many log messages appeared repeatedly in the messages log as belows.

Jun 30 11:26:01 mtakahashi kernel: Badness in blk_remove_plug at drivers/block/ll_rw_blk.c:1424 (Not tainted)
Jun 30 11:26:01 mtakahashi kernel:  [<c021541d>] blk_remove_plug+0x2e/0x52
Jun 30 11:26:01 mtakahashi kernel:  [<c0215455>] __generic_unplug_device+0x14/0x1f
Jun 30 11:26:01 mtakahashi kernel:  [<c0215b47>] get_request_wait+0x98/0xe3
Jun 30 11:26:01 mtakahashi kernel:  [<c01282ee>] autoremove_wake_function+0x0/0x2d
Jun 30 11:26:01 mtakahashi kernel:  [<c021c7dc>] cfq_merge+0x0/0x88
Jun 30 11:26:01 mtakahashi kernel:  [<c01282ee>] autoremove_wake_function+0x0/0x2d
Jun 30 11:26:01 mtakahashi kernel:  [<c021c7dc>] cfq_merge+0x0/0x88
Jun 30 11:26:01 mtakahashi kernel:  [<c02164c5>] __make_request+0x2bc/0x44c
Jun 30 11:26:01 mtakahashi kernel:  [<c02169df>] generic_make_request+0x182/0x19
Jun 30 11:26:01 mtakahashi kernel:  [<c01282ee>] autoremove_wake_function+0x0/0x2d
Jun 30 11:26:01 mtakahashi kernel:  [<c01371f2>] mempool_alloc+0x21/0xc6
Jun 30 11:26:06 mtakahashi kernel:  [<c0216a8a>] submit_bio+0x9b/0xa3
Jun 30 11:26:07 mtakahashi kernel:  [<c015168e>] bio_alloc_bioset+0x106/0x16f
Jun 30 11:26:07 mtakahashi kernel:  [<c01510d3>] submit_bh+0x13e/0x163
Jun 30 11:26:08 mtakahashi kernel:  [<c0151151>] ll_rw_block+0x59/0x6e
Jun 30 11:26:08 mtakahashi kernel:  [<e010342b>] journal_commit_transaction+0x3e5/0xd56 [jbd]
Jun 30 11:26:08 mtakahashi kernel:  [<c02c1dd9>] schedule+0x48f/0x535
Jun 30 11:26:08 mtakahashi kernel:  [<e0105773>] kjournald+0xbd/0x217 [jbd]
Jun 30 11:26:08 mtakahashi kernel:  [<c01282ee>] autoremove_wake_function+0x0/0x2d
Jun 30 11:26:09 mtakahashi kernel:  [<c011a23a>] do_exit+0x348/0x352
Jun 30 11:26:09 mtakahashi kernel:  [<c01282ee>] autoremove_wake_function+0x0/0x2d
Jun 30 11:26:09 mtakahashi kernel:  [<c0102c06>] ret_from_fork+0x6/0x14
Jun 30 11:26:09 mtakahashi kernel:  [<e01056b0>] commit_timeout+0x0/0x5 [jbd]
Jun 30 11:26:09 mtakahashi kernel:  [<e01056b6>] kjournald+0x0/0x217 [jbd]
Jun 30 11:26:10 mtakahashi kernel:  [<c010128d>] kernel_thread_helper+0x5/0xb
Jun 30 11:26:10 mtakahashi kernel: scheduling while atomic: kjournald/0xfffffffe/376
Jun 30 11:26:10 mtakahashi kernel:  [<c02c198d>] schedule+0x43/0x535
Jun 30 11:26:10 mtakahashi kernel:  [<c0125de8>] __kernel_text_address+0x18/0x23Jun 30 11:26:10 mtakahashi kernel:  [<c01031de>] show_trace+0x1d/0x6b
Jun 30 11:26:11 mtakahashi kernel:  [<c01032cc>] dump_stack+0x11/0x13
Jun 30 11:26:11 mtakahashi kernel:  [<c021541d>] blk_remove_plug+0x2e/0x52
Jun 30 11:26:11 mtakahashi kernel:  [<c02c262d>] io_schedule+0xe/0x16
Jun 30 11:26:11 mtakahashi kernel:  [<c0215b5c>] get_request_wait+0xad/0xe3
Jun 30 11:26:11 mtakahashi kernel:  [<c01282ee>] autoremove_wake_function+0x0/0x2d
Jun 30 11:26:12 mtakahashi kernel:  [<c021c7dc>] cfq_merge+0x0/0x88
Jun 30 11:26:12 mtakahashi kernel:  [<c01282ee>] autoremove_wake_function+0x0/0x2d
Jun 30 11:26:12 mtakahashi kernel:  [<c021c7dc>] cfq_merge+0x0/0x88
Jun 30 11:26:12 mtakahashi kernel:  [<c02164c5>] __make_request+0x2bc/0x44c
Jun 30 11:26:12 mtakahashi kernel:  [<c02169df>] generic_make_request+0x182/0x192
Jun 30 11:26:13 mtakahashi kernel:  [<c01282ee>] autoremove_wake_function+0x0/0x2d
Jun 30 11:26:13 mtakahashi kernel:  [<c01282ee>] autoremove_wake_function+0x0/0x2d
Jun 30 11:26:13 mtakahashi kernel:  [<c01371f2>] mempool_alloc+0x21/0xc6


Additional info:

Comment 1 MASAO TAKAHASHI 2005-06-30 03:34:53 UTC
linux-2.6.12-1.1406_FC5 was good.

Comment 2 MASAO TAKAHASHI 2005-06-30 04:52:54 UTC
Now I have found a bug at the kernel.org site.
kernel-2.6.13-rc1-git1
Here is as follows.
---------------------------
[PATCH]Fix get_request nastiness
get_request is now expected to be holding on to queue_lock, with interrupts
disabled, when it returns NULL; but one path forgot that, causing all kinds
of nastiness under swap load - badness backtraces, strange failures, BUGs.

after I applied this patch, this phenomina is disappered.


Note You need to log in before you can comment on or make changes to this bug.